Name:          gawk
Version:       5.1.0
Release:       1mamba
Summary:       The GNU version of the awk text processing utility
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/gawk/gawk.html
Source:        http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
Patch0:        gawk-4.1.1-extension-install.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libmpfr-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
BuildRequires: libsigsegv-devel
## AUTOBUILDREQ-END
BuildRequires: glibc-devel
BuildRequires: gettext-devel
BuildRequires: bison
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The gawk packages contains the GNU version of awk, a text processing utility.
Awk interprets a special-purpose programming language to do quick and easy text pattern matching and reformatting jobs.
Gawk should be upwardly compatible with the Bell Labs research version of awk and is almost completely compliant with the 1993 POSIX 1003.2 standard for awk.

Install the gawk package if you need a text processing utility.
Gawk is considered to be a standard Linux tool for processing text.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
#%patch0 -p1

%build
%configure --bindir=/bin --libexecdir=%{_libexecdir}/awk \
   LDFLAGS="-lncurses"

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}/bin/{gawk,pgawk}-%{version}

install -d %{buildroot}%{_bindir}
( cd %{buildroot}%{_bindir}
  ln -sf /bin/gawk awk
  ln -sf /bin/gawk gawk )

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%install_info gawk.info
%install_info gawkinet.info
%install_info gawkworkflow.info
:

%preun
%uninstall_info gawk.info
%uninstall_info gawkinet.info
%uninstall_info gawkworkflow.info
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/profile.d/gawk.csh
%{_sysconfdir}/profile.d/gawk.sh
/bin/awk
/bin/gawk
#/bin/igawk
%{_bindir}/awk
%{_bindir}/gawk
%dir %{_libdir}/gawk
%{_libdir}/gawk/*
%dir %{_datadir}/awk
%{_datadir}/awk/*
%dir %{_libexecdir}/awk
%{_libexecdir}/awk/*
%{_infodir}/gawk.*
%{_infodir}/gawkinet.*
%{_infodir}/gawkworkflow.*
%{_mandir}/man1/gawk.1*
#%{_mandir}/man1/igawk.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/gawkapi.h
%{_mandir}/man3/filefuncs.3am*
%{_mandir}/man3/fnmatch.3am*
%{_mandir}/man3/fork.3am*
%{_mandir}/man3/inplace.3am*
%{_mandir}/man3/ordchr.3am*
%{_mandir}/man3/readdir.3am*
%{_mandir}/man3/readfile.3am*
%{_mandir}/man3/revoutput.3am*
%{_mandir}/man3/revtwoway.3am*
%{_mandir}/man3/rwarray.3am*
%{_mandir}/man3/time.3am*
%doc ChangeLog NEWS POSIX.STD README

%changelog
* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Wed Jun 19 2019 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Fri Apr 12 2019 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Mon Feb 26 2018 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Fri Nov 17 2017 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 4.1.4-1mamba
- automatic version update by autodist

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 4.1.3-1mamba
- automatic version update by autodist

* Fri May 01 2015 Automatic Build System <autodist@mambasoft.it> 4.1.2-1mamba
- automatic version update by autodist

* Sun Apr 13 2014 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Sun Mar 23 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-2mamba
- rebuilt with LDFLAGS=-lncurses to fix on arm: undefined symbol: UP

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Thu Dec 27 2012 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- update to 4.0.1

* Thu Jun 30 2011 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic update by autodist

* Sat May 08 2010 Automatic Build System <autodist@mambasoft.it> 3.1.8-1mamba
- automatic update to 3.1.8 by autodist

* Fri Jul 24 2009 Automatic Build System <autodist@mambasoft.it> 3.1.7-1mamba
- automatic update to 3.1.7 by autodist

* Fri Oct 26 2007 Aleph0 <aleph0@openmamba.org> 3.1.6-1mamba
- update to 3.1.6
- igawk and pgawk binaries moved to /bin

* Mon Aug 22 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.5-1qilnx
- update to version 3.1.5 by autospec

* Fri Jul 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.4-2qilnx
- specfile updates
- install info files

* Wed Aug 25 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.4-1qilnx
- update to version 3.1.4 by autospec

* Mon Apr 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 3.1.3-2qilnx
- moved gawk from /usr/bin to /bin
- added symlinks in /usr/bin pointing to /bin/gawk for compatibility

* Fri Jul 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.3-1qilnx
- updated to 3.1.3

* Thu Jul 03 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.1-1qilnx
- going back to version 3.1.1 because 3.1.2 doesn't work with /proc files

* Mon Apr 16 2003 Silvan Calarco <silvan.calarco@qinet.it> 3.1.2-3qilnx
- removed /usr/share/info/dir
- removed Prefix declaration

* Mon Apr 14 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- modified file list and specified infodir

* Wed Apr 02 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it>
- write a spec file for gawk
